import { getShopDiscountKey } from "../../utils/index.js";
import { usePisellOS } from "../../../../hooks/useEngineContext.js";
import { useOsKey } from "../../context/OsKeyContext.js";
//#region src/components/ticketBooking/hooks/pisellos/useShopDiscountModule.ts
/**
* useShopDiscountModule Hook
* 获取当前 ShopDiscount 模块
* 通过 osKey 区分不同页面的模块实例
*/
const useShopDiscountModule = () => {
	const pisellOS = usePisellOS();
	const moduleKey = getShopDiscountKey(useOsKey() || "ticket");
	return pisellOS.getModule(moduleKey);
};
//#endregion
export { useShopDiscountModule };
